# Устройство захвата для Robossembler Arm 6-DoF

## Внешний вид

![](img/vacuum_gripper_2025-02-23.jpg)
![](img/pump_module_2025-02-23.jpg)

## Описание проекта

- Используется для пневмо-захвата заготовок от 2 гр до 100 гр. размером от 24 см^2.
- Захват состоит из двух частей. Модуля с присосками, которая устанавливается на роботе. И модуля с помпой (насосом), который располагается рядом с роботом и подает вакуум по гибкой трубке.
- Внутри модуля с помпой есть цифровой барометр (коммуникация с контроллером по i2c-интерфейсу), измеряющий давление. Это обеспечивает обратную связь и позволяет отслеживать состояние захвата.
- Для управления помпой и считывания показаний с барометра используется контроллер [Robossembler Servo](https://gitlab.com/robossembler/servo)
- Управление осуществляется по интерфейсу CAN.
- Захват состоит из двух частей. Модуля с присосками, которая устанавливается на роботе. И модуля с помпой (насосом), который располагается рядом с роботом и подает вакуум по гибкой трубке.
- Внутри модуля с помпой есть цифровой барометр (коммуникация с контроллером по i2c-интерфейсу), измеряющий давление. Это обеспечивает обратную связь и позволяет отслеживать состояние захвата.
- Для управления помпой и считывания показаний с барометра используется контроллер [Robossembler Servo](https://gitlab.com/robossembler/servo)
- Управление осуществляется по интерфейсу CAN.
- Основной материал приспособления: печатный пластик PETG любого цвета
- Учтена ремонтопригодность захвата. Поддерживается смена присоски в случае износа одной из них или замена насоса.
- Учтена ремонтопригодность захвата. Поддерживается смена присоски в случае износа одной из них или замена насоса.
- Класс защиты IP20
- Калибровка устройства осуществляется посредством ШИМ в навыке захвата в ПО верхнего уровня
- Опционально предусмотреть дополнительный способ управления через уставку давления (без ШИМ)
- Программное обеспечение микроконтроллера должно предусматривать диагностику и предиктивное обслуживание устройства

## Конфигурации захвата

1. Без ресивера (базовый)
2. С ресивером (более надёжный, но и более сложный и дорогой)

## Спецификация протокола CAN

Интерфейс устройства позволяет по CAN-шине включать и выключать насос, управлять мощностью всасывания через ШИМ и получать информацию о давлении, измеряемого барометром. В дополнительном способе управление будут передаваться другие данные.

## Описание директорий

```[vacuum-gripper]
├── img/                                  # Изображения для README.md
└── src/                                  # Проекты захвата и модуля помпы в формате Solidworks
```

## Краткая инструкция по изготовлению

TEST